> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DAA score timestamp estimate

> Estimates timestamps for given DAA scores.

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml POST /v1/rpc/getDaaScoreTimestampEstimate
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/rpc/getDaaScoreTimestampEstimate:
    post:
      tags:
        - Kaspa Node RPC Proxy
      summary: Get DAA score timestamp estimate
      description: Estimates timestamps for given DAA scores.
      operationId: RpcController_getDaaScoreTimestampEstimate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RpcGetDaaScoreTimestampEstimateRequestDto'
      responses:
        '200':
          description: DAA score timestamp estimates retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RpcGetDaaScoreTimestampEstimateResponseDto
      security:
        - x-api-key: []
components:
  schemas:
    RpcGetDaaScoreTimestampEstimateRequestDto:
      type: object
      properties:
        daaScores:
          description: Array of DAA scores to estimate timestamps for
          example:
            - '1234567'
            - '1234568'
            - '1234569'
          type: array
          items:
            type: string
      required:
        - daaScores
    RpcGetDaaScoreTimestampEstimateResponseDto:
      type: object
      properties:
        timestamps:
          description: Array of estimated timestamps corresponding to the DAA scores
          example:
            - '1638360000000'
            - '1638360060000'
            - '1638360120000'
          type: array
          items:
            type: string
      required:
        - timestamps
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````